

init -50 python:

    global_map_result="error"

    def init_mapAlt_zones_realization(zones,default):
        global global_zonesAlt
        global_zonesAlt=zones
        for i,data in global_zonesAlt.iteritems():
            data["chibi"] = None
            data["label"] = default
            data["available"] = True
            data["been_here"] = 0

    class MapAlt(renpy.Displayable):
        def __init__(self,pics,chibi,default):
            renpy.Displayable.__init__(self)
            self.pics=pics
            self.chibi=chibi
            self.default = default
            config.overlay_functions.append(self.overlay)
        
        def disable_all_zones(self):
            global global_zonesAlt
            for name,data in global_zonesAlt.iteritems():
                data["label"] = self.default
                data["available"] = False
                data["been_here"] = 0
        def enable_all_zones(self):
            global global_zonesAlt
            for name,data in global_zonesAlt.iteritems():
                data["label"] = self.default
                data["available"] = True
                data["been_here"] = 0
        def set_zone(self,name,label):
            global global_zonesAlt
            global_zonesAlt[name]["label"] = label
            global_zonesAlt[name]["available"] = True
        def reset_zone(self,name):
            global global_zonesAlt
            global_zonesAlt[name]["label"] = self.default
            global_zonesAlt[name]["available"] = False
            global_zonesAlt[name]["been_here"] = 0
        def enable_empty_zone(self,name):
            global global_zonesAlt
            self.set_zone(name,self.default)
            global_zonesAlt[name]["available"] = True
        def reset_current_zone(self):
            self.enable_empty_zone(global_map_result)
        def disable_current_zone(self):
            global global_zonesAlt
            global_zonesAlt[global_map_result]["available"] = False
        def been_there(self):
            global global_zonesAlt
            return global_zonesAlt[global_map_result]["been_here"]
        def set_chibi(self,name,ch):
            global global_zonesAlt
            if  ch in self.chibi:
                global_zonesAlt[name]["chibi"] = self.chibi[ch]
            else:
                global_zonesAlt[name]["chibi"] = None
        def reset_chibi(self,name):
            self.set_chibi(name,"")
        
        def event(self, ev, x, y, st):
            return
        def render(self, width, height, st, at):
            return renpy.Render(1, 1)
        
        def zoneclick(self,name):
            global global_zonesAlt
            global global_map_result
            store.mapAlt_enabled=False
            renpy.scene('mapoverlay')
            global_zonesAlt[name]["been_here"] += 1
            global_map_result = name
            renpy.scene()
            
            
            
            
            
            renpy.config.skipping = False
            renpy.game.after_rollback = False
            ui.jumps(global_zonesAlt[name]["label"])()
        
        def overlay(self):
            if  store.mapAlt_enabled:
                global global_zonesAlt
                renpy.scene('mapoverlay')
                ui.layer('mapoverlay')
                for name,data in global_zonesAlt.iteritems():
                    if data["available"]:
                        pos = data["position"]
                        ui.imagebutton(
                            im.Crop(self.pics["available"],pos[0],pos[1],pos[2]-pos[0],pos[3]-pos[1]),
                            im.Crop(self.pics["selected"], pos[0],pos[1],pos[2]-pos[0],pos[3]-pos[1]),
                            clicked = renpy.curry(self.zoneclick)(name),
                            xpos = pos[0],
                            ypos = pos[1]
                        )
                        if  data["chibi"] != None:
                            ui.imagebutton(
                                anim.Blink(data["chibi"]),
                                anim.Blink(data["chibi"]),
                                clicked = renpy.curry(self.zoneclick)(name),
                                xpos = pos[0],
                                ypos = pos[1]
                            )
                ui.close() 

    store.mapAlt = MapAlt(store.map_picsAlt, store.map_chibi, default)


label _show_mapAlt:
    scene widget map
    $ store.mapAlt_enabled = True
    $ ui.interact()
    jump _show_mapAlt
init -50 python:
    import pygame
    import os
    import os.path
    from renpy.store import *
    from renpy.display.im import ImageBase, image, cache, Composite


    store.mapAlt_enabled = False
    store.mapAlt_enabled_tmp = False

init -55 python:
        if _preferences.language == "english":
            store.map_picsAlt = {
                "bgpic": get_image("maps/map_en.jpg"),
                "available": get_image("maps/map_en_available.jpg"),
                "selected": get_image("maps/map_en_selected.jpg")
            }
        elif _preferences.language == "spanish":
            store.map_picsAlt = {
                "bgpic": get_image("maps/map_es.jpg"),
                "available": get_image("maps/map_es_available.jpg"),
                "selected": get_image("maps/map_es_selected.jpg")
            }
        else:
            store.map_picsAlt = {
                "bgpic": get_image("maps/map.jpg"),
                "available":  getPathMod("images/maps/mapAlt_available.jpg"),
                "selected":  getPathMod("images/maps/mapAlt_selected.jpg")
            }
        store.map_zonesAlt = {
                "me_mt_house":   {"position":[550, 31, 670, 153],"default_bg":bg_tmp_image(u"Мой домик")},     #m@d
                "estrade":       {"position":[693, 31, 859, 153],"default_bg":bg_tmp_image(u"Эстрада")},     #m@d
                "music_club":    {"position":[361, 154, 474, 237],"default_bg":bg_tmp_image(u"Музклуб")},     #m@d
                "square":        {"position":[550, 238, 670, 443],"default_bg":bg_tmp_image(u"Площадь")},     #m@d
                "dining_hall":   {"position":[671, 305, 773, 443],"default_bg":bg_tmp_image(u"Столовая")},     #m@d
                "sport_area":    {"position":[773, 305, 1052, 443],"default_bg":bg_tmp_image(u"Спорткомплекс")},     #m@d
                "beach":         {"position":[773, 444, 1052, 581],"default_bg":bg_tmp_image(u"Пляж")},     #m@d
                "boat_station":  {"position":[550, 444, 670, 581],"default_bg":bg_tmp_image(u"Лодочный причал")},     #m@d
                "clubs":         {"position":[279, 238, 474, 443],"default_bg":bg_tmp_image(u"Клубы")},     #m@d
                "library":       {"position":[773, 154, 859, 304],"default_bg":bg_tmp_image(u"Библиотека")},     #m@d
                "medic_house":   {"position":[693, 154, 773, 304],"default_bg":bg_tmp_image(u"Медпункт")},     #m@d
                "camp_entrance": {"position":[185, 238, 278, 443],"default_bg":bg_tmp_image(u"Ворота в лагерь")},     #m@d
                "old_camp":      {"position":[157, 670, 225, 713],"default_bg":bg_tmp_image(u"Старый лагерь")},     #m@d
                "forest":        {"position":[361, 31, 474, 153],"default_bg":bg_tmp_image(u"о. Лес")}     #m@d
        }
        def init_map_zonesAlt():
            init_mapAlt_zones_realization(store.map_zonesAlt,"nothing_here")
        def disable_all_zonesAlt():
            store.mapAlt.disable_all_zones()
        def enable_all_zonesAlt():
            store.mapAlt.enable_all_zones()
        def set_zoneAlt(name,label):
            store.mapAlt.set_zone(name,label)
        def reset_zoneAlt(name):
            store.mapAlt.reset_zone(name)
        def enable_empty_zoneAlt(name):
            store.mapAlt.enable_empty_zone(name)
        def reset_current_zoneAlt():
            store.mapAlt.reset_current_zone()
        def disable_current_zoneAlt():
            store.mapAlt.disable_current_zone()
        def show_mapAlt():
            ui.jumps("_show_mapAlt")()
label initMap:
    
    $ init_map_zonesAlt()
    
    return
    
# Android version created with ESTOOL-0.007 by Smalser
# More info there https://vk.com/topic-93304648_35130916